{
	"schema": "https://iot-ap.ikonke.com/model/ccu_12_scene.json",
	"productType": "ccu",
	"profile": {
		"heartbeat": "3000",
		"productCode": "12",
		"productName": "主机"
	},
	"properties": [{
		"identifier": "Scene",
		"name": "场景",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "struct",
			"specs": [{
				"identifier": "sceneId",
				"name": "场景id",
				"dataType": {
					"type": "text",
					"specs": {
						"length": "255"
					}
				}
			}, {
				"identifier": "name",
				"name": "场景名字",
				"dataType": {
					"type": "text",
					"specs": {
						"length": "255"
					}
				}
			}, {
				"identifier": "sceneType",
				"name": "场景类型",
				"dataType": {
					"type": "enum",
					"specs": {
						"0": "情景模式",
						"1": "IFTTT",
						"2": "定时",
						"3": "多控"
					}
				}
			}, {
				"identifier": "enable",
				"name": "启用",
				"dataType": {
					"type": "bool",
					"specs": {
						"0": "关闭",
						"1": "启用"
					}
				}
			}, {
				"identifier": "triggers",
				"name": "触发条件",
				"dataType": {
					"type": "struct",
					"specs": {}
				}
			}, {
				"identifier": "conditions",
				"name": "限制条件",
				"dataType": {
					"type": "struct",
					"specs": {}
				}
			}, {
				"identifier": "actions",
				"name": "动作",
				"dataType": {
					"type": "struct",
					"specs": {}
				}
			}]
		}
	}, {
		"identifier": "triggers",
		"name": "触发场景",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "struct",
			"specs": [{
				"identifier": "items",
				"name": "记录",
				"dataType": {
					"type": "array",
					"specs": {
						"size": "128",
						"item": {
							"type": "struct",
							"specs": [{
								"identifier": "type",
								"name": "触发类型",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "deviceCode",
								"name": "设备唯一标识",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "epNum",
								"name": "端点号",
								"dataType": {
									"type": "int",
									"specs": {
										"min": "1",
										"max": "100"
									}
								}
							}, {
								"identifier": "propertyName",
								"name": "属性名",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "compareType",
								"name": "标记类型",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "compareValue",
								"name": "比较值",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}]
						},
						"item1": {
							"name": "定时时间",
							"type": "struct",
							"specs": [{
								"identifier": "type",
								"name": "限制类型 trigger/timing",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "time",
								"name": "定时时间",
								"dataType": {
									"type": "int",
									"specs": {}
								}
							}, {
								"identifier": "week",
								"name": "重复的周期",
								"dataType": {
									"type": "text",
									"specs": {}
								}
							}]
						}
					}
				}
			}]
		}
	}, {
		"identifier": "conditions",
		"name": "限制条件",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "struct",
			"specs": [{
				"identifier": "items",
				"name": "记录",
				"dataType": {
					"type": "array",
					"specs": {
						"size": "128",
						"item": {
							"name": "时间限制条件",
							"type": "struct",
							"specs": [{
								"identifier": "type",
								"name": "限制类型",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "startTime",
								"name": "开始时间 UTC时间 秒",
								"dataType": {
									"type": "int",
									"specs": {}
								}
							}, {
								"identifier": "endTime",
								"name": "结束时间 UTC时间 秒",
								"dataType": {
									"type": "int",
									"specs": {}
								}
							}, {
								"identifier": "crossDay",
								"name": "是否垮天",
								"dataType": {
									"type": "enum",
									"specs": {
										"0": "非跨天",
										"1": "垮天"
									}
								}
							}, {
								"identifier": "repeat_days",
								"name": "重复的天 为空是不重复",
								"dataType": {
									"type": "array",
									"specs": {
										"size": "7",
										"item": {
											"type": "int",
											"specs": [1, 2, 3, 4, 5, 6, 7]
										}
									}
								}
							}]
						},
						"item1": {
							"name": "设备属性限制条件",
							"type": "struct",
							"specs": [{
								"identifier": "type",
								"name": "触发类型",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "deviceCode",
								"name": "设备唯一标识",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "epNum",
								"name": "端点号",
								"dataType": {
									"type": "int",
									"specs": {
										"min": "1",
										"max": "100"
									}
								}
							}, {
								"identifier": "propertyName",
								"name": "属性名",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "compareType",
								"name": "标记类型",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}, {
								"identifier": "compareValue",
								"name": "比较值",
								"dataType": {
									"type": "text",
									"specs": {
										"length": "255"
									}
								}
							}]
						}
					}
				}
			}]
		}
	}, {
		"identifier": "actions",
		"name": "执行动作",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "array",
			"specs": {
				"size": "128",
				"item": {
					"name": "设置属性",
					"type": "struct",
					"specs": [{
						"identifier": "type",
						"name": "动作类型",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "deviceCode",
						"name": "设备唯一标识",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "epNum",
						"name": "端点号",
						"dataType": {
							"type": "int",
							"specs": {
								"min": "1",
								"max": "100"
							}
						}
					}, {
						"identifier": "propertyName",
						"name": "属性名",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "propertyValue",
						"name": "属性值",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "delay",
						"name": "延迟时间 单位s",
						"dataType": {
							"type": "int",
							"specs": {
								"min": "1",
								"max": "86400"
							}
						}
					}]
				},
				"item1": {
					"name": "批量动作",
					"type": "struct",
					"specs": [{
						"identifier": "type",
						"name": "动作类型 action/thing/setProperty",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "productType",
						"name": "批量执行的产品品类",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "propertyName",
						"name": "属性名",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "propertyValue",
						"name": "属性值",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}]
				},
				"item2": {
					"name": "嵌套场景",
					"type": "struct",
					"specs": [{
						"identifier": "type",
						"name": "动作类型 action/scene",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "sceneId",
						"name": "场景id",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "delay",
						"name": "延迟时间 单位s",
						"dataType": {
							"type": "int",
							"specs": {
								"min": "1",
								"max": "86400"
							}
						}
					}]
				},
				"item3": {
					"name": "多控",
					"type": "struct",
					"specs": [{
						"identifier": "type",
						"name": "动作类型 action/thing/group",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "deviceCode",
						"name": "设备唯一标识",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "epNum",
						"name": "端点号",
						"dataType": {
							"type": "int",
							"specs": {
								"min": "1",
								"max": "100"
							}
						}
					}]
				},
				"item4": {
					"name": "调用服务",
					"type": "struct",
					"specs": [{
						"identifier": "type",
						"name": "动作类型 action/thing/invokeService",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "deviceCode",
						"name": "设备唯一标识",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "identifier",
						"name": "服务唯一标识",
						"dataType": {
							"type": "text",
							"specs": {
								"length": "255"
							}
						}
					}, {
						"identifier": "args",
						"name": "参数",
						"dataType": {
							"type": "struct",
							"specs": {
								"desc": "服务调用的传参"
							}
						}
					}]
				}
			}
		}
	}],
	"events": [{
		"identifier": "addSceneNotification",
		"name": "添加场景通知",
		"type": "info",
		"required": true,
		"method": "thing.event.addSceneNotification.post",
		"outputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}]
	}, {
		"identifier": "updateSceneNotification",
		"name": "修改场景通知",
		"type": "info",
		"required": true,
		"method": "thing.event.updateSceneNotification.post",
		"outputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}]
	}, {
		"identifier": "deleteSceneNotification",
		"name": "删除场景通知",
		"type": "info",
		"required": true,
		"method": "thing.event.deleteSceneNotification.post",
		"outputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}]
	}, {
		"identifier": "executeSceneNotification",
		"name": "执行场景通知",
		"type": "info",
		"required": true,
		"method": "thing.event.executeSceneNotification.post",
		"outputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}]
	}],
	"services": [{
		"identifier": "addScene",
		"name": "addScene",
		"required": true,
		"callType": "async",
		"desc": "添加场景",
		"method": "thing.service.addScene",
		"inputData": [{
			"identifier": "name",
			"name": "场景名字",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "sceneType",
			"name": "场景类型",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "情景模式",
					"1": "IFTTT",
					"2": "定时"
				}
			}
		}, {
			"identifier": "enable",
			"name": "启用",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关闭",
					"1": "启用"
				}
			}
		}, {
			"identifier": "triggers",
			"name": "触发条件",
			"dataType": {
				"type": "struct",
				"specs": {}
			}
		}, {
			"identifier": "conditions",
			"name": "限制条件",
			"dataType": {
				"type": "struct",
				"specs": {}
			}
		}, {
			"identifier": "actions",
			"name": "动作",
			"dataType": {
				"type": "struct",
				"specs": {}
			}
		}],
		"outputData": []
	}, {
		"identifier": "updateScene",
		"name": "updateScene",
		"required": true,
		"callType": "async",
		"desc": "修改场景",
		"method": "thing.service.updateScene",
		"inputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "name",
			"name": "场景名字",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "sceneType",
			"name": "场景类型",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "情景模式",
					"1": "IFTTT",
					"2": "定时"
				}
			}
		}, {
			"identifier": "enable",
			"name": "启用",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关闭",
					"1": "启用"
				}
			}
		}, {
			"identifier": "triggers",
			"name": "触发条件",
			"dataType": {
				"type": "struct",
				"specs": {}
			}
		}, {
			"identifier": "conditions",
			"name": "限制条件",
			"dataType": {
				"type": "struct",
				"specs": {}
			}
		}, {
			"identifier": "actions",
			"name": "动作",
			"dataType": {
				"type": "struct",
				"specs": {}
			}
		}],
		"outputData": []
	}, {
		"identifier": "deleteScene",
		"name": "deleteScene",
		"required": true,
		"callType": "async",
		"desc": "删除场景",
		"method": "thing.service.deleteScene",
		"inputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "executeScene",
		"name": "executeScene",
		"required": true,
		"callType": "async",
		"desc": "执行场景",
		"method": "thing.service.executeScene",
		"inputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "enableScene",
		"name": "enableScene",
		"required": true,
		"callType": "async",
		"desc": "enable场景",
		"method": "thing.service.executeScene",
		"inputData": [{
			"identifier": "sceneId",
			"name": "场景id",
			"dataType": {
				"type": "text",
				"specs": {
					"length": "255"
				}
			}
		}, {
			"identifier": "enable",
			"name": "启用",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关闭",
					"1": "启用"
				}
			}
		}],
		"outputData": []
	}]
}